[Numpy-svn] [numpy/numpy] 28eadc: MAINT: Remove outdated version checks.

GitHub noreply@github....
Thu Jul 11 17:54:50 CDT 2013


  Branch: refs/heads/master
  Home:   https://github.com/numpy/numpy
  Commit: 28eadc0e31ca7aea5c679023d1e703856f45c879
      https://github.com/numpy/numpy/commit/28eadc0e31ca7aea5c679023d1e703856f45c879
  Author: Charles Harris <charlesr.harris@gmail.com>
  Date:   2013-07-11 (Thu, 11 Jul 2013)

  Changed paths:
    M doc/sphinxext/setup.py
    M numpy/core/blasdot/_dotblas.c
    M numpy/core/include/numpy/ndarrayobject.h
    M numpy/core/include/numpy/npy_common.h
    M numpy/core/src/multiarray/arrayobject.c
    M numpy/core/src/multiarray/buffer.c
    M numpy/core/src/multiarray/convert_datatype.c
    M numpy/core/src/multiarray/ctors.c
    M numpy/core/src/multiarray/datetime_busdaycal.c
    M numpy/core/src/multiarray/descriptor.c
    M numpy/core/src/multiarray/dtype_transfer.c
    M numpy/core/src/multiarray/flagsobject.c
    M numpy/core/src/multiarray/iterators.c
    M numpy/core/src/multiarray/mapping.c
    M numpy/core/src/multiarray/mapping.h
    M numpy/core/src/multiarray/multiarraymodule.c
    M numpy/core/src/multiarray/nditer_pywrap.c
    M numpy/core/src/multiarray/number.c
    M numpy/core/src/multiarray/numpymemoryview.c
    M numpy/core/src/multiarray/numpymemoryview.h
    M numpy/core/src/multiarray/numpyos.c
    M numpy/core/src/multiarray/scalartypes.c.src
    M numpy/core/src/multiarray/sequence.c
    M numpy/core/src/private/npy_pycompat.h
    M numpy/core/src/scalarmathmodule.c.src
    M numpy/core/src/umath/test_rational.c.src
    M numpy/core/src/umath/ufunc_object.c
    M numpy/f2py/src/fortranobject.h
    M numpy/lib/src/_compiled_base.c
    M numpy/numarray/_capi.c
    M setup.py

  Log Message:
  -----------
  MAINT: Remove outdated version checks.

Because Numpy 1.8.0 will no longer supports Python versions < 2.6 we
no longer need to check for that and can also remove the code that is
specific to those earlier versions.

To make this a bit safer, the toplevel setup.py file now contains a
check of the Python version number and raises an error when run by an
unsupported version.


  Commit: e1c4806b649933383fb610205fb612c438360472
      https://github.com/numpy/numpy/commit/e1c4806b649933383fb610205fb612c438360472
  Author: njsmith <njs@pobox.com>
  Date:   2013-07-11 (Thu, 11 Jul 2013)

  Changed paths:
    M doc/sphinxext/setup.py
    M numpy/core/blasdot/_dotblas.c
    M numpy/core/include/numpy/ndarrayobject.h
    M numpy/core/include/numpy/npy_common.h
    M numpy/core/src/multiarray/arrayobject.c
    M numpy/core/src/multiarray/buffer.c
    M numpy/core/src/multiarray/convert_datatype.c
    M numpy/core/src/multiarray/ctors.c
    M numpy/core/src/multiarray/datetime_busdaycal.c
    M numpy/core/src/multiarray/descriptor.c
    M numpy/core/src/multiarray/dtype_transfer.c
    M numpy/core/src/multiarray/flagsobject.c
    M numpy/core/src/multiarray/iterators.c
    M numpy/core/src/multiarray/mapping.c
    M numpy/core/src/multiarray/mapping.h
    M numpy/core/src/multiarray/multiarraymodule.c
    M numpy/core/src/multiarray/nditer_pywrap.c
    M numpy/core/src/multiarray/number.c
    M numpy/core/src/multiarray/numpymemoryview.c
    M numpy/core/src/multiarray/numpymemoryview.h
    M numpy/core/src/multiarray/numpyos.c
    M numpy/core/src/multiarray/scalartypes.c.src
    M numpy/core/src/multiarray/sequence.c
    M numpy/core/src/private/npy_pycompat.h
    M numpy/core/src/scalarmathmodule.c.src
    M numpy/core/src/umath/test_rational.c.src
    M numpy/core/src/umath/ufunc_object.c
    M numpy/f2py/src/fortranobject.h
    M numpy/lib/src/_compiled_base.c
    M numpy/numarray/_capi.c
    M setup.py

  Log Message:
  -----------
  Merge pull request #3516 from charris/remove-outdated-version-checks

MAINT: Remove outdated version checks.


Compare: https://github.com/numpy/numpy/compare/12c5fc01e37d...e1c4806b6499


More information about the Numpy-svn mailing list